﻿<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net5.0</TargetFramework>
    <UserSecretsId>af55fcbf-3afb-40a9-b1ba-c920875b88eb</UserSecretsId>
  </PropertyGroup>

  <ItemGroup>
    <ProjectReference Include="..\Swg.Sch.Services\Swg.Sch.Services.csproj">
      <GlobalPropertiesToRemove></GlobalPropertiesToRemove>
    </ProjectReference>
    <ProjectReference Include="..\Swg.Sch.Shared\Swg.Sch.Shared.csproj">
      <GlobalPropertiesToRemove></GlobalPropertiesToRemove>
    </ProjectReference>
    <ProjectReference Include="..\Swg.Services\Swg.Services.csproj">
      <GlobalPropertiesToRemove></GlobalPropertiesToRemove>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Views\Sekolah\" />
    <Folder Include="wwwroot\assets\appjs\adm\" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="CKSource.CKFinder" Version="3.5.2" />
    <PackageReference Include="CKSource.CKFinder.Connector.Config" Version="3.5.2" />
    <PackageReference Include="CKSource.CKFinder.Connector.Core" Version="3.5.2" />
    <PackageReference Include="CKSource.CKFinder.Connector.Host.Owin" Version="3.5.2" />
    <PackageReference Include="CKSource.FileSystem.Local" Version="1.1.2" />
    <PackageReference Include="DotNetCore.NPOI" Version="1.2.2" />
    <PackageReference Include="DotNetZip" Version="1.13.8" />
    <PackageReference Include="iTextSharp.LGPLv2.Core" Version="1.6.6" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.Razor.RuntimeCompilation" Version="3.1.0" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="3.1.4" />
    <PackageReference Include="NPOI" Version="2.4.1" />
  </ItemGroup>
  <ItemGroup>
    <Content Remove="wwwroot\assets\appjs\user.js" />
  </ItemGroup>
  <ItemGroup>
    <Content Update="Views\Home\Index.cshtml">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="Views\Home\Privacy.cshtml">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="Views\Shared\Error.cshtml">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="Views\Shared\_Layout.cshtml">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="Views\Shared\_ValidationScriptsPartial.cshtml">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="Views\User\Login.cshtml">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\css\site.css">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\js\site.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\bootstrap\dist\css\bootstrap-grid.css">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\bootstrap\dist\css\bootstrap-grid.css.map">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\bootstrap\dist\css\bootstrap-grid.min.css">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\bootstrap\dist\css\bootstrap-grid.min.css.map">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\bootstrap\dist\css\bootstrap-reboot.css">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\bootstrap\dist\css\bootstrap-reboot.css.map">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\bootstrap\dist\css\bootstrap-reboot.min.css">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\bootstrap\dist\css\bootstrap-reboot.min.css.map">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\bootstrap\dist\css\bootstrap.css">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\bootstrap\dist\css\bootstrap.css.map">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\bootstrap\dist\css\bootstrap.min.css">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\bootstrap\dist\css\bootstrap.min.css.map">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\bootstrap\dist\js\bootstrap.bundle.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\bootstrap\dist\js\bootstrap.bundle.js.map">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\bootstrap\dist\js\bootstrap.bundle.min.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\bootstrap\dist\js\bootstrap.bundle.min.js.map">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\bootstrap\dist\js\bootstrap.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\bootstrap\dist\js\bootstrap.js.map">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\bootstrap\dist\js\bootstrap.min.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\bootstrap\dist\js\bootstrap.min.js.map">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\bootstrap\LICENSE">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\jquery-validation-unobtrusive\jquery.validate.unobtrusive.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\jquery-validation-unobtrusive\jquery.validate.unobtrusive.min.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\jquery-validation-unobtrusive\LICENSE.txt">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\jquery-validation\dist\additional-methods.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\jquery-validation\dist\additional-methods.min.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\jquery-validation\dist\jquery.validate.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\jquery-validation\dist\jquery.validate.min.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\jquery-validation\LICENSE.md">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\jquery\dist\jquery.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\jquery\dist\jquery.min.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\jquery\dist\jquery.min.map">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Update="wwwroot\lib\jquery\LICENSE.txt">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
  </ItemGroup>
  <ItemGroup>
    <Watch Remove="Views\Appl\Access_Setting.cshtml" />
  </ItemGroup>
  <ItemGroup>
    <UpToDateCheckInput Remove="Views\Appl\Access_Setting.cshtml" />
  </ItemGroup>
  <ItemGroup>
    <Watch Remove="Views\Appl\Appl_Setting.cshtml" />
  </ItemGroup>
  <ItemGroup>
    <UpToDateCheckInput Remove="Views\Appl\Appl_Setting.cshtml" />
  </ItemGroup>
  <ItemGroup>
    <Watch Remove="Views\Appl\Menu_Setting.cshtml" />
  </ItemGroup>
  <ItemGroup>
    <UpToDateCheckInput Remove="Views\Appl\Menu_Setting.cshtml" />
  </ItemGroup>
  <ItemGroup>
    <Watch Remove="Views\Appl\Role_Setting.cshtml" />
  </ItemGroup>
  <ItemGroup>
    <UpToDateCheckInput Remove="Views\Appl\Role_Setting.cshtml" />
  </ItemGroup>
  <ItemGroup>
    <Watch Remove="Views\Appl\Roles_fitur.cshtml" />
  </ItemGroup>
  <ItemGroup>
    <UpToDateCheckInput Remove="Views\Appl\Roles_fitur.cshtml" />
  </ItemGroup>
  <ItemGroup>
    <Watch Remove="Views\Appl\User_Management.cshtml" />
  </ItemGroup>
  <ItemGroup>
    <UpToDateCheckInput Remove="Views\Appl\User_Management.cshtml" />
  </ItemGroup>
  <ItemGroup>
    <Watch Remove="Views\Shared\NotFound.cshtml" />
  </ItemGroup>
  <ItemGroup>
    <UpToDateCheckInput Remove="Views\Shared\NotFound.cshtml" />
  </ItemGroup>
  <ItemGroup>
    <None Update="FileTemplates\TemplateKeu.xlsx">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="FileTemplates\template_laporan.xlsx">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="FileTemplates\Laporan_ppdb.xlsx">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="FileTemplates\Laporan_gelombang_ppdb.xlsx">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="FileTemplates\Laporan_gelombang_ppdb1.xlsx">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="FileTemplates\Laporan_elearning_progress_pegawai.xlsx">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="FileTemplates\TemplateKelompokQiroaty.xlsx">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="FileTemplates\TemplateDapodik.xlsx">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>
</Project>
